Bug 704354 - IE only, Operation Schedule New button throws Exception
IE only, Operation Schedule New button throws Exception
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
All All
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq401
  Show dependency treegraph
 
Reported: 2011-05-12 17:45 EDT by Mike Foley
Modified: 2013-09-02 03:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-05-12 17:45:18 EDT
Description of problem:
IE only, Number Format Exception when scheduling an operation

Version-Release number of selected component (if applicable):


How reproducible:
100% on IE8  (same thing works fine on FF)

Steps to Reproduce:
1.  RHQ-Agent, Operation tab, click New
2.  error occurs
3.
  
Actual results:
Globally uncaught exception
Severity : 	
Error
	
Time : 	
Thursday, May 12, 2011 5:40:43 PM Etc/GMT+4
Detail : 	
java.lang.NumberFormatException:For input string: "OPERATION"
--- STACK TRACE FOLLOWS ---
For input string: "OPERATION"
    at Unknown.java_lang_NumberFormatException_$NumberFormatException__Ljava_lang_NumberFormatException_2Ljava_lang_String_2Ljava_lang_NumberFormatException_2(Unknown source:0)
    at Unknown.java_lang_Number__1_1parseAndValidateDouble__Ljava_lang_String_2D(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_convert__Lorg_rhq_core_domain_alert_Alert_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_copyValues__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_copyValues__Ljava_lang_Object_2ZLcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_$buildRecords__Lorg_rhq_enterprise_gui_coregui_client_util_RPCDataSource_2Ljava_util_Collection_2Z_3Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_$dataRetrieved__Lorg_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_2Lorg_rhq_core_domain_util_PageList_2Lcom_smartgwt_client_data_DSResponse_2Lcom_smartgwt_client_data_DSRequest_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_recent_alerts_AbstractRecentAlertsPortlet$AlertsPortletDataSource_dataRetrieved__Lorg_rhq_core_domain_util_PageList_2Lcom_smartgwt_client_data_DSResponse_2Lcom_smartgwt_client_data_DSRequest_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$7_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$7_2Lorg_rhq_core_domain_util_PageList_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$7_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)

Expected results:


Additional info:
Comment 1 Heiko W. Rupp 2011-05-13 03:48:13 EDT
This sounds remotely familiar from a very distant past.

Basically the issue at that time was that the input box did for whatever reason not return only a number, but some extra chars (spaces).

groovy:000> Integer.valueOf(" 1234")
ERROR java.lang.NumberFormatException: For input string: " 1234"
        at java_lang_Integer$valueOf.call (Unknown Source)
        at groovysh_evaluate.run (groovysh_evaluate:2)
        ...
groovy:000> Integer.valueOf("1234") 
===> 1234

So it may be needed to first trim() the string obtained:

groovy:000> Integer.valueOf(" 1234 ".trim())
===> 1234
Comment 2 Jay Shaughnessy 2011-05-13 11:31:05 EDT
The trace above does not match the issue I'm seeing in this area. The above does not seem to relate to a New operation schedule as it seems to do with AlertDataSource (albeit the "OPERATION" value is related to operations in some way, but I think the error may be coming out of an alerts fetch).

So first I'll work on the New button problem I'm seeing.  And that seems to be related to some raw html being inserted via an HTMLFlow, to add spacing and horizontal rules to the schedule form:

HTMLFlow hr = new HTMLFlow("<p/><hr/><p/>");

It's amazing that SmartGWT/IE would have trouble with this but that seems to be the case.  Looking for a different way to layout the page...
Comment 3 Jay Shaughnessy 2011-05-13 15:08:43 EDT
As for the trace in the description.  This looks like the wrong trace was pasted into the BZ. This problem should have already been fixed via Bug 701774.
Comment 4 Mike Foley 2011-05-13 16:55:44 EDT
as part of verification, please also retest scheduling an operation from left-nav tree ... using right-click context menu.
Comment 5 Jay Shaughnessy 2011-05-15 18:11:19 EDT
release-4.0.0 commits (one for release, one for group)
  cbcb2102fa22f5d24b549ee54d1357e7c5cac1ad
  d352fb93849626b4c49df7836456d17031af3566

master commits
  3c4939917519960b854daec60c269379a1e58b66
  3625629ce609ebd6b5c227f8da4a40602d4dabe7
Comment 6 Sunil Kondkar 2011-05-16 06:43:39 EDT
Verified on rhq401 build#28 (Version: 4.0.1-SNAPSHOT Build Number: d352fb9)

Verified on IE version 8.0.6001.19019.

Navigated to RHQ-Agent->Operation tab. Click on New button. No exception is observed. Scheduled operation successfully.
Also scheduled operation via the right click menu. 

Marking as verified.
Comment 7 Heiko W. Rupp 2013-09-02 03:20:53 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.